=== debian/control ===
Source: ros-noetic-multirobot-map-merge
Section: misc
Priority: optional
Maintainer: Jiri Horner <laeqten@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-image-geometry, ros-noetic-map-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rosunit, ros-noetic-tf2-geometry-msgs
Homepage: http://wiki.ros.org/multirobot_map_merge
Standards-Version: 3.9.2

Package: ros-noetic-multirobot-map-merge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-image-geometry, ros-noetic-map-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-tf2-geometry-msgs
Description: Merging multiple maps without knowledge of initial positions of robots.
